Get Order Refund
Returns a single refund for the given order by refund ID. The response has the same shape as the Get Refund endpoint.
Requires at least one of the following scopes:
store_v2_transactions_read_onlystore_v2_transactions
Note: Use a refund ID that belongs to the order in the path. The refund ID is unique across the store, so a refund ID that belongs to a different order still resolves to that refund.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
order_id
The ID of the Order to which the transactions belong.
refund_id
Refund ID.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Response
The ID of the created refund.
data
meta
Response metadata.
Errors
422
Unprocessable Entity Error